Developers

Retrieves the collection of RoleSet resources

GET
/user/role-sets

Retrieves the collection of RoleSet resources

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

order[name]?string
Default"asc"
Value in"asc""desc"
name?string
excludeShortCodes[]?array<string>

Response Body

RoleSet collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/user/role-sets'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "name": "string",    "roles": [      "Check allowed_roles.yaml"    ]  }]